/* Fonts */
@font-face {
  font-family: Oswald-Regular;
  src: url(../fonts/Oswald-Regular.ttf);
}

@font-face {
  font-family: OpenSans-Regular;
  src: url(../fonts/OpenSans-Regular.ttf);
}

/* Variables */
:root {
  --ff-primary: OpenSans-Regular;
  --ff-secondary: Oswald-Regular;

  --clr-primary: #3b8842;
  --clr-white: #fff;
  --clr-black: #030303;

  --padding-inline: 2rem;
  --border-bottom: rgba(0, 0, 0, 0.1);
  --border-radius: 3px;
  --box-shadow: rgba(0, 0, 0, 0.1);
  --t-duration: 400ms;
}

/* Default styling */
*,
*::before,
*::after {
  margin: 0;
  padding: 0;
  box-sizing: inherit;
}

::selection {
  background-color: var(--clr-primary, #3b8842);
  color: var(--clr-white, #fff);
}

html {
  font-size: 62.5%;
  scroll-behavior: smooth;
  scroll-padding-top: 90px;
}

body {
  box-sizing: border-box;
  font-family: var(--ff-primary, sans-serif);
  line-height: 1.5;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  font-family: var(--ff-secondary, sans-serif);
  text-transform: uppercase;
}

h1 {
  font-size: 3.6rem;
}

h2 {
  font-size: 2.6rem;
}

h3 {
  font-size: 2rem;
}

h4 {
  font-size: 1.5rem;
}

img,
picture {
  display: block;
  max-width: 100%;
  object-fit: cover;
}

ul {
  list-style: none;
}

a {
  display: inline-block;
  color: inherit;
  text-decoration: none;
}

p {
  font-size: 1.8rem;
}

.section--green p {
  color: var(--clr-white, #fff);
}

input,
textarea {
  width: 100%;
  font-family: inherit;
  font-size: 1.5rem;
  border-radius: var(--border-radius, 2px);
  margin-bottom: 1rem;
  padding: 0.8rem 1rem;
  border: 1px solid var(--clr-primary, #3b8842);
  resize: vertical;
  -webkit-appearance: none;
  appearance: none;
  transition: transform var(--t-duration, 300ms);
}

input::placeholder,
textarea::placeholder {
  color: rgba(79, 117, 82, 0.7);
}

input:focus,
textarea:focus {
  outline: 0;
  border: 2px solid var(--clr-primary);
  transform: scale(1.006);
}

iframe {
  width: 100%;
  height: 300px;
}

address {
  font-style: normal;
}

/* Helper classes */
.flex-inline {
  display: flex;
  align-items: center;
}

.section {
  width: 100%;
  padding: 8rem var(--padding-inline, 2rem);
  color: var(--clr-primary, #3b8842);
}

.section--green {
  background-color: var(--clr-primary, #3b8842);
  color: var(--clr-white, #fff);
}

.btn {
  font-size: 1.5rem;
  text-transform: uppercase;
  background-color: var(--clr-primary, #3b8842);
  color: var(--clr-white, #fff);
  border-bottom: 1px solid var(--clr-primary, #3b8842);
  padding: 0.9rem 4rem;
  border-radius: var(--border-radius, 2px);
  font-weight: 300;
  outline: 0;
  border: 0;
}

.btn--green {
  background-color: var(--clr-white, #fff);
  color: var(--clr-primary, #3b8842);
}

.margin-top {
  margin-top: 3rem;
}

.w-100 {
  width: 100%;
}

.link {
  text-decoration: underline;
}

.horizontal-rule {
  width: 70px;
  height: 3px;
  background-color: var(--clr-primary, #3b8842);
  border-radius: var(--border-radius, 2px);
  margin: 1rem 0 2rem;
}

.section--green .horizontal-rule {
  background-color: var(--clr-white, #fff);
}

.border-top {
  border-top: 1px solid rgba(59, 136, 65, 0.1);
}

/* Pre loader styling */
.loader {
  width: 100%;
  height: 100vh;
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: var(--clr-white, #fff);
  color: var(--clr-primary, #3b8842);
  z-index: 300;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  transition: opacity var(--t-duration, 300ms) ease,
    transform var(--t-duration, 300ms) ease,
    visibility var(--t-duration, 300ms) ease;
}
.loader.hide {
  opacity: 0;
  transform: scale(1.6);
  visibility: hidden;
}

.loader__icon {
  width: 8rem;
  animation: loader-animation 1500ms infinite linear;
}

@keyframes loader-animation {
  0% {
    transform: scale(1);
  }
  50% {
    transform: scale(1.2);
  }

  100% {
    transform: scale(1);
  }
}

.loader__text {
  margin-top: 1.4rem;
}

/* Top bar styling */
.top-bar {
  width: 100%;
  background-color: var(--clr-primary, #3b8842);
  padding: 1.2rem var(--padding-inline, 2rem);
  display: flex;
  align-items: center;
  justify-content: flex-end;
}

.top-bar__icons {
  width: 3rem;
  margin: 0;
  margin-left: 0.8rem;
}

/* Navbar styling */
.navbar {
  width: 100%;
  background-color: var(--clr-white, #fff);
  padding: 1rem var(--padding-inline, 2rem);
  border-bottom: 1px solid var(--border-bottom);
  box-shadow: 0 6px 6px 0 var(--box-shadow);
  display: flex;
  align-items: center;
  justify-content: space-between;
  z-index: 100;
}

.navbar.sticky {
  position: sticky;
  top: 0;
}

.navbar__logo-img {
  width: 5rem;
}

/* Toggler styling */
.toggler {
  width: 3.4rem;
  height: 3.4rem;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-around;
  cursor: pointer;
}

.toggler__line {
  width: 100%;
  height: 3px;
  border-radius: 10px;
  background-color: var(--clr-primary, #3b8842);
  transform-origin: left;
  transition: transform var(--t-duration, 300ms) ease;
}

.toggler__line--1 {
  transform: scaleX(0.8);
}

.toggler__line--3 {
  transform: scaleX(0.6);
}

.toggler.show .toggler__line {
  transform: scaleX(1);
}

/* Menu styling */
.navbar__menu {
  width: 100%;
  height: 100vh;
  padding: 2rem 0;
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: var(--clr-primary, #3b8842);
  z-index: 101;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  opacity: 0;
  visibility: hidden;
  transition: opacity var(--t-duration, 300ms) ease,
    visibility var(--t-duration, 300ms) ease;
}

.navbar__menu.show {
  opacity: 1;
  visibility: visible;
  transition-delay: 300ms;
}

.navbar__item {
  width: 100%;
  text-align: center;
  font-size: 2.5rem;
  color: var(--clr-white, #fff);
  font-family: var(--ff-secondary, sans-serif);
  text-transform: uppercase;
  margin-bottom: 1.5rem;
  transform: translateY(10px);
  opacity: 0;
  transition: transform var(--t-duration, 300ms) ease,
    opacity var(--t-duration, 300ms) ease;
}

.navbar__item + .navbar__item {
  border-top: 1px solid rgba(255, 255, 255, 0.1);
  padding-top: 1rem;
}

.navbar__menu.show .navbar__item {
  transform: translateY(0);
  opacity: 1;
  transition-delay: 500ms;
}

/* Close menu styling */
.navbar__close {
  position: absolute;
  top: 3rem;
  right: 3rem;
  z-index: 102;
  width: 3rem;
  opacity: 0;
  visibility: hidden;
  transform: translateY(10px);
  transition: opacity var(--t-duration, 300ms) ease,
    visibility var(--t-duration, 300ms) ease,
    transform var(--t-duration, 300ms) ease;
}

.navbar__close.show {
  opacity: 1;
  visibility: visible;
  transform: translateX(0);
  transition-delay: 500ms;
}

.navbar__flag {
  position: absolute;
  top: 2.5rem;
  left: 3rem;
  z-index: 103;
  opacity: 0;
  visibility: hidden;
  transform: translateY(10px);
  transition: opacity var(--t-duration, 300ms) ease,
    visibility var(--t-duration, 300ms) ease,
    transform var(--t-duration, 300ms) ease;
}

.navbar__flag.show {
  opacity: 1;
  visibility: visible;
  transform: translateX(0);
  transition-delay: 500ms;
}

.navbar__flag-img {
  width: 5rem;
}

/* Hero section styling */
.hero-section {
  position: relative;
  height: 450px;
  background-color: black;
  background-image: url(../assets/images/hero-image.jpg);
  background-size: cover;
  background-repeat: no-repeat;
  background-position: 50% 70%;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  color: var(--clr-primary, #3b8842);
}

.hero-section__content {
  background-color: var(--clr-white, #fff);
  padding: 2rem 3rem;
  border-radius: var(--border-radius, 2px);
  text-align: center;
}

@supports (backdrop-filter: blur(2px)) {
  .navbar__menu {
    background-color: rgba(59, 136, 65, 0.8);
    -webkit-backdrop-filter: blur(6px);
    backdrop-filter: blur(6px);
  }

  .hero-section__content {
    background-color: rgba(255, 255, 255, 0.7);
    -webkit-backdrop-filter: blur(4px);
    backdrop-filter: blur(4px);
  }
}

.hero-section__text {
  margin-top: 0.6rem;
  margin-bottom: 1.4rem;
}

.hero-section__mouse {
  width: 4rem;
  position: absolute;
  bottom: 1.5rem;
  cursor: pointer;
  animation: scroll-down 1500ms ease-out infinite;
}

@keyframes scroll-down {
  0% {
    transform: translateY(0);
  }
  50% {
    transform: translateY(5px);
  }
  100% {
    transform: translateY(0);
  }
}

/* Services section styling */
.services-box {
  margin-top: 4rem;
}

.services-box__item {
  display: flex;
  align-items: center;
  justify-content: flex-start;
}

.services-box__item + .services-box__item {
  margin-top: 4rem;
}

.services-box__img {
  width: 10rem;
}

.services-box__title {
  margin-left: 3rem;
}

/* Contact section styling */
.contact-info__item {
  display: flex;
  align-items: center;
  font-size: 1.5rem;
}

.contact-info__item + .contact-info__item {
  margin-top: 0.8rem;
}

.contact-info__img {
  width: 3rem;
  margin-right: 1rem;
}

/* Info section styling */
.info-section {
  display: grid;
  gap: 2rem;
}

.info-section__item {
  background-color: white;
  border-radius: var(--border-radius, 2px);
  padding: 4rem 2rem;
  box-shadow: 0 0 6px 0 rgba(0, 0, 0, 0.2);
}

.info-section__img {
  width: 8rem;
}

.info-section__title {
  margin-top: 2rem;
  margin-bottom: 0.6rem;
}

/* About page */
.hero-section--about {
  height: 300px;
  background-image: url(../assets/images/about-image.jpg);
}

.hero-section--about .hero-section__content {
  padding: 2rem 5rem;
}

/* Services page */
.hero-section--services {
  height: 300px;
  background-image: url(../assets/images/services-image.jpg);
}

.hero-section--services .hero-section__content {
  padding: 2rem 5rem;
}

/* Gallery page */
.hero-section--gallery {
  height: 300px;
  background-image: url(../assets/images/gallery-image.jpg);
}

.hero-section--gallery .hero-section__content {
  padding: 2rem 5rem;
}

.gallery {
  width: 100%;
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 1rem;
}

.gallery__item {
  width: 100%;
  height: 200px;
  border-radius: var(--border-radius, 2px);
  cursor: pointer;
  border: 1px solid rgba(0, 0, 0, 0.1);
  box-shadow: 4px 4px 6px 0 rgba(0, 0, 0, 0.1);
}

.gallery__img {
  width: 100%;
  height: 100%;
  border-radius: var(--border-radius, 2px);
}

/* Gallery screen styling */
.gallery-screen {
  width: 100%;
  height: 100vh;
  position: fixed;
  top: 0;
  left: 0;
  background-color: rgba(0, 0, 0, 0.95);
  z-index: 200;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 2rem var(--padding-inline, 2rem);
  opacity: 0;
  visibility: hidden;
  transition: opacity var(--t-duration, 300ms) ease,
    visibility var(--t-duration, 300ms) ease;
}

.gallery-screen.show {
  opacity: 1;
  visibility: visible;
}

@supports (backdrop-filter: blur(2px)) {
  .gallery-screen {
    background-color: rgba(0, 0, 0, 0.8);
    backdrop-filter: blur(6px);
  }
}

.gallery-screen__overlay {
  width: 100%;
  height: 100vh;
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: transparent;
  z-index: -1;
}

.gallery-screen__close {
  position: absolute;
  top: 2.5rem;
  right: 2rem;
  width: 2.5rem;
  cursor: pointer;
}

.gallery-screen__img {
  width: 100%;
  height: 400px;
  border-radius: var(--border-radius, 2px);
}

.arrow {
  position: absolute;
  font-size: 2rem;
  background-color: var(--clr-white, #fff);
  padding: 0.5rem 1rem;
  border-radius: var(--border-radius, 2px);
  cursor: pointer;
}

.arrow--left {
  left: calc(var(--padding-inline, 2rem) - 1.8rem);
}

.arrow--right {
  right: calc(var(--padding-inline, 2rem) - 1.8rem);
}

/* Contact page */
.hours {
  margin-top: 3rem;
  margin-bottom: 1rem;
}

.hours__item {
  display: flex;
  align-items: center;
  justify-content: space-between;
  background-color: var(--clr-primary, #3b8842);
  color: var(--clr-white, #fff);
  padding: 1rem 3rem;
  border-radius: var(--border-radius, 2px);
}

.hours__item + .hours__item {
  margin-top: 0.6rem;
}

.hero-section--contact {
  height: 300px;
  background-image: url(../assets/images/contact-image.jpg);
}

.hero-section--contact .hero-section__content {
  padding: 2rem 5rem;
}

/* Footer styling */
.footer {
  width: 100%;
  position: relative;
}

.footer__btn {
  box-shadow: 0 0 4px 0 rgba(0, 0, 0, 0.2);
  background-color: var(--clr-white, #fff);
  color: var(--clr-primary, #3b8842);
  transform: translateY(-50%);
  font-size: 2rem;
  padding: 0.6rem 1.4rem;
  border-radius: var(--border-radius, 2px);
  position: absolute;
  top: 0;
  right: var(--padding-inline, 2rem);
}

.footer__top {
  padding: 6rem var(--padding-inline, 2rem);
  background-color: var(--clr-primary, #3b8842);
  color: var(--clr-white, #fff);
}

.footer__logo {
  width: 6rem;
  filter: brightness(500%);
}

.footer__info {
  margin-top: 4rem;
}

.footer__info > * + * {
  margin-top: 4rem;
}

.footer__item {
  font-size: 1.8rem;
}

.footer__item + .footer__item {
  margin-top: 0.5rem;
}

.footer .contact-info__img {
  filter: brightness(400%);
}

.footer .top-bar__icons {
  width: 3rem;
  margin: 0;
  margin-right: 0.8rem;
}

.footer__bottom {
  border-top: 1px solid rgba(255, 255, 255, 0.1);
  padding: 2rem var(--padding-inline, 2rem);
  background-color: var(--clr-primary, #3b8842);
  color: var(--clr-white, #fff);
  text-align: center;
}

@media screen and (-webkit-min-device-pixel-ratio: 0) {
  select,
  textarea,
  input {
    font-size: 16px;
  }
}

/* Apple watch responsive */
@media (max-width: 200px) {
  html {
    font-size: 25%;
  }
}

/* 768px responsive */
@media (min-width: 768px) {
  :root {
    --padding-inline: 5rem;
  }

  html {
    font-size: 65%;
  }

  .section {
    padding: 9rem var(--padding-inline, 4rem);
  }

  iframe {
    height: 400px;
  }

  .d-flex {
    display: flex;
    align-items: center;
    justify-content: space-between;
  }

  .d-flex > * {
    flex: 1 1 50%;
    margin-right: 4rem;
  }

  /* Info section styling */
  .info-section {
    grid-template-columns: 1fr 1fr;
  }

  .info-section__item {
    padding: 5rem 3rem;
  }

  .info-section__img {
    width: 8rem;
  }

  .info-section__title {
    margin-top: 2rem;
    margin-bottom: 0.6rem;
  }

  .contact-info {
    margin-top: 0;
    margin-right: 0;
  }

  /* Gallery styling */
  .gallery {
    grid-template-columns: 1fr 1fr 1fr;
    gap: 1rem;
  }

  .gallery__item {
    height: 250px;
  }

  .gallery-screen__img {
    height: 500px;
  }

  .footer__info {
    display: flex;
    align-items: flex-start;
    justify-content: space-between;
  }

  .footer__info > * + * {
    margin-top: 0;
  }

  .footer__bottom {
    display: flex;
    align-items: center;
    justify-content: space-between;
  }
}

/* 900px responsive */
@media (min-width: 900px) {
  :root {
    --padding-inline: 7rem;
  }

  html {
    font-size: 68%;
  }

  /* Gallery styling */
  .gallery__item {
    height: 300px;
  }

  .gallery-screen__img {
    max-width: 600px;
  }

  .arrow--left {
    left: 2rem;
  }

  .arrow--right {
    right: 2rem;
  }

  .hero-section--about,
  .hero-section--services,
  .hero-section--gallery,
  .hero-section--contact {
    height: 400px;
    padding: 0;
  }

  /* Footer styling */
  .footer__top {
    padding: 7rem var(--padding-inline, 2rem);
  }

  .footer__logo {
    width: 7rem;
  }
}

/* 1024px responsive */
@media (min-width: 1024px) {
  :root {
    --padding-inline: 10rem;
  }

  html {
    font-size: 70%;
  }

  iframe {
    height: 550px;
  }

  .section {
    padding: 12rem var(--padding-inline, 4rem);
  }

  .btn {
    transition: opacity var(--t-duration, 300ms) ease,
      transform var(--t-duration, 300ms) ease;
    cursor: pointer;
  }

  .btn:hover {
    opacity: 0.8;
    transform: translateY(-2px);
  }

  .link {
    transition: opacity var(--t-duration, 300ms) ease;
  }

  .link:hover {
    opacity: 0.8;
  }

  /* Top bar styling */
  .top-bar__icons {
    transition: opacity var(--t-duration, 300ms) ease;
  }

  .top-bar__icons:hover {
    opacity: 0.8;
  }

  /* Navbar styling */
  .navbar {
    padding: 1.2rem var(--padding-inline, 2rem);
  }

  .navbar__logo-img {
    transition: opacity var(--t-duration, 300ms) ease;
  }

  .navbar__logo-img:hover {
    opacity: 0.8;
  }

  .toggler {
    display: none;
  }

  .navbar__menu {
    all: unset;
    display: flex;
    color: var(--clr-primary);
  }

  .navbar__item {
    all: unset;
    font-size: 2rem;
    font-family: var(--ff-secondary, sans-serif);
    text-transform: uppercase;
  }

  .navbar__link {
    transition: transform var(--t-duration, 300ms) ease,
      opacity var(--t-duration, 300ms) ease;
  }

  .navbar__link:hover {
    opacity: 0.8;
    transform: translateY(-2px);
  }

  .navbar__item + .navbar__item {
    padding-top: 0;
    margin-left: 3rem;
  }

  .navbar__menu.show .navbar__item {
    transform: translateY(0);
    opacity: 1;
    transition-delay: 500ms;
  }

  .navbar__close {
    display: none;
  }

  .navbar__flag {
    all: unset;
  }

  .navbar__flag-img {
    width: 4rem;
    cursor: pointer;
    transition: transform var(--t-duration, 300ms) ease,
      opacity var(--t-duration, 300ms) ease;
  }

  .navbar__flag-img:hover {
    opacity: 0.8;
  }

  .contact-info__item {
    transition: opacity var(--t-duration, 300ms);
  }

  .contact-info__item:hover {
    opacity: 0.8;
  }

  /* Hero section styling */
  .hero-section {
    height: 550px;
  }

  .hero-section__content {
    padding: 4rem 6rem;
  }

  .hero-section__mouse {
    transition: opacity var(--t-duration, 300ms) ease;
  }

  .hero-section__mouse:hover {
    opacity: 0.8;
  }

  /* Services styling */
  .services-box {
    display: flex;
    flex-wrap: wrap;
    margin-top: 0;
  }

  .services-box__item {
    flex: 1 1 calc(50% - 10rem);
    margin: 5rem;
  }

  .services-box__item + .services-box__item {
    margin-top: 2rem;
  }

  /* Info section styling */
  .info-section__item {
    transition: transform var(--t-duration, 300ms) ease;
  }

  .info-section__item:hover {
    transform: translateY(-2px);
  }

  /* Hour contact styling */
  .hours__item {
    transition: opacity var(--t-duration, 300ms) ease;
  }

  .hours__item:hover {
    opacity: 0.8;
  }

  /* Gallery styling */
  .gallery {
    grid-template-columns: 1fr 1fr 1fr 1fr;
    gap: 1.2rem;
  }

  .gallery__item {
    transition: transform var(--t-duration, 300ms) ease;
  }

  .gallery__item:hover {
    transform: translateY(-4px);
  }

  .arrow {
    transition: opacity var(--t-duration, 300ms) ease;
  }

  .arrow:hover {
    opacity: 0.8;
  }

  .hero-section--about,
  .hero-section--services,
  .hero-section--gallery,
  .hero-section--contact {
    height: 400px;
    padding: 0;
  }

  /* Footer styling */
  .footer__btn {
    transition: transform var(--t-duration, 300ms) ease;
    backface-visibility: hidden;
  }

  .footer__btn:hover {
    transform: translateY(-55%);
  }

  .footer__link {
    transition: opacity var(--t-duration, 300ms) ease;
  }

  .footer__link:hover {
    opacity: 0.8;
  }
}

/* 1300px responsive */
@media (min-width: 1300px) {
  :root {
    --padding-inline: 12rem;
  }

  iframe {
    height: 600px;
  }

  .section {
    padding: 14rem var(--padding-inline, 4rem);
  }

  /* Navbar styling */
  .navbar {
    padding: 1.2rem var(--padding-inline, 2rem);
  }

  .toggler {
    display: none;
  }

  .navbar__menu {
    all: unset;
    display: flex;
    color: var(--clr-primary);
  }

  .navbar__item {
    all: unset;
    font-size: 2rem;
    font-family: var(--ff-secondary, sans-serif);
    text-transform: uppercase;
  }

  .navbar__item + .navbar__item {
    padding-top: 0;
    margin-left: 3rem;
  }

  .navbar__menu.show .navbar__item {
    transform: translateY(0);
    opacity: 1;
    transition-delay: 500ms;
  }

  .navbar__close {
    display: none;
  }

  .navbar__flag {
    all: unset;
  }

  .navbar__flag-img {
    width: 4rem;
  }

  /* Gallery styling */
  .gallery {
    grid-template-columns: 1fr 1fr 1fr 1fr;
    gap: 1.2rem;
  }

  .hero-section--about,
  .hero-section--services,
  .hero-section--gallery,
  .hero-section--contact {
    height: 500px;
    padding: 0;
  }
}

/* 1440px responsive */
@media (min-width: 1440px) {
  :root {
    --padding-inline: 16rem;
  }

  /* Hero section styling */
  .hero-section {
    height: 700px;
  }

  .hero-section__content {
    padding: 6rem 10rem;
  }

  .hero-section--about,
  .hero-section--services,
  .hero-section--gallery,
  .hero-section--contact {
    height: 500px;
    padding: 0;
  }
}

/* 1600px responsive */
@media (min-width: 1600px) {
  :root {
    --padding-inline: 18rem;
  }
}

/* 1800px responsive */
@media (min-width: 1800px) {
  :root {
    --padding-inline: 22rem;
  }
}

/* 2000px responsive */
@media (min-width: 1900px) {
  :root {
    --padding-inline: 26rem;
  }
}
